::visit Rootjunky.com

::Set our Window Title
@title Kodi Installer

::Set our default parameters
@echo off
color 0b



:menuLOOP

	call:header
	::Print our header
	::call:header
	
	::Load up our menu selections
	echo.--------------------------------------------------------------------------------
	for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":menu_" "%~f0""') do echo.  %%B  %%C
	
	call:printstatus

	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to exit: ||GOTO:EOF
	echo.&call:menu_%choice%
	
GOTO:menuLOOP

:menu_1 Install Kodi/XBMC on your Fire TV or stick over IP
cls
color 0b
echo.--------------------------------------------------------------------------------
echo.
adb kill-server
adb start-server
echo.--------------------------------------------------------------------------------
echo. First you must turn on ADB DEBUGGING in your fire tv settings menu's
echo. Enter IP address from Amazon Fire TV in
echo. settings/system/about/network IP address number 
echo. example 000.00.0.0 then press enter
echo.--------------------------------------------------------------------------------
echo Enter IP Number
set /p IP=""
adb connect "%IP%"
adb devices
timeout 8 > nul
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF

:menu_2 Install Kodi/XBMC on your android device over USB 
cls
color 0b
echo.--------------------------------------------------------------------------------
echo. Make sure your usb debugging / adb debugging drivers are installed
echo. on your device. To turn on usb debugging. Go to settings, about,
echo. tap on your build number 7 times then in settings select developer options
echo. to turn on usb debuggin mode. 
echo.--------------------------------------------------------------------------------
echo. you can get drivers for your android device here RootJunkysdl.com
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":android_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:android_%choice%
color 0b	
cls
GOTO:EOF

:kodi_1  Drag and Drop App Installer
call:appinstaller2

:kodi_2  Install Kodi/XBMC version 14.2 Stable
cls
color 0b
echo.--------------------------------------------------------------------------------
adb devices
echo.--------------------------------------------------------------------------------
echo. Installing Kodi/XBMC please wait
adb install kodi-14.2-Helix-armeabi-v7a.apk
echo.--------------------------------------------------------------------------------
echo. Pushing addon zips to device /sdcard/XBMC
echo. Once Kodi boots go to system addons to install these files from zips
echo.--------------------------------------------------------------------------------
call:pushzips
echo.--------------------------------------------------------------------------------
echo. Kodi 14.2 is now installed on your device.
echo. Launch Kodi app by going to settings, Applications, 
echo. then Manage all applications. 
echo. For a easy way to launch Kodi install Fire Starter Launcher
echo.--------------------------------------------------------------------------------
pause
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo. LIKE A BOSS
echo.
echo.
echo.
echo.
echo.
echo.
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF


:kodi_3  Install Kodi/XBMC version 15.0 Developer
cls
color 0b
echo.--------------------------------------------------------------------------------
adb devices
echo.--------------------------------------------------------------------------------
echo. Installing Kodi/XBMC please wait
adb install kodi-15.0-Isengard_rc1-armeabi-v7a.apk
echo.--------------------------------------------------------------------------------
echo. Pushing addon zips to device /sdcard/XBMC
echo. Once Kodi boots go to system addons to install these files from zips
echo.--------------------------------------------------------------------------------
adb push skin.ftv-1.0.0.zip /sdcard/XBMC/skin.ftv-1.0.0.zip
call:pushzips
echo.--------------------------------------------------------------------------------
echo. Kodi 15.0 is now installed on your device.
echo. Launch Kodi app by going to settings, Applications, 
echo. then Manage all applications. 
echo. For a easy way to launch Kodi install Fire Starter Launcher
echo.--------------------------------------------------------------------------------
pause
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo. LIKE A BOSS
echo.
echo.
echo.
echo.
echo.
echo.
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF	


:kodi_4 Install Fire Starter launcher 
cls
color 0b	
echo.--------------------------------------------------------------------------------
adb devices
echo.--------------------------------------------------------------------------------
echo. Installing Fire Starter Launcher please wait
adb install FireStarter-v2.6.apk
echo.--------------------------------------------------------------------------------
echo. Fire Starter laucher is now installed
echo. Run Fire Starter Launcher app by going to settings, Applications, 
echo. then Manage all applications.
echo. in Fire starter app go to settings and setup home double tap options. 
echo.--------------------------------------------------------------------------------
pause
echo.
echo.
echo.
echo.
echo.
echo.
echo. 
echo. LIKE A BOSS
echo.
echo.
echo.
echo.
echo.
echo.
echo.--------------------------------------------------------------------------------
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF


:android_1  Drag and Drop App Installer
call:appinstaller1

:android_2  Install Kodi/XBMC version 14.2 Stable
cls
color 0b
adb kill-server
adb start-server
echo.--------------------------------------------------------------------------------
echo. Installing Kodi/XBMC please wait
adb install kodi-14.2-Helix-armeabi-v7a.apk
echo.--------------------------------------------------------------------------------
echo. Pushing addon zips to device /sdcard/XBMC
echo. Once Kodi boots go to system addons to install these files from zips
echo.--------------------------------------------------------------------------------
call:pushzips
echo.--------------------------------------------------------------------------------
echo. Kodi 14.2 is now installed on your device.
adb kill-server
echo.--------------------------------------------------------------------------------
set choice=
	echo.&set /p choice= hit ENTER to return to start: 
	echo.&call:android_%choice%
color 0b	
cls	
GOTO:EOF


:android_3  Install Kodi/XBMC version 15.0 Developer
cls
color 0b
adb kill-server
adb start-server
echo.--------------------------------------------------------------------------------
echo. Installing Kodi/XBMC please wait
adb install kodi-15.0-Isengard_rc1-armeabi-v7a.apk
echo.--------------------------------------------------------------------------------
echo. Pushing addon zips to device /sdcard/XBMC
echo. Once Kodi boots go to system addons to install these files from zips
echo.--------------------------------------------------------------------------------
call:pushzips
echo.--------------------------------------------------------------------------------
echo. Kodi 15.0 is now installed on your device.
adb kill-server
echo.--------------------------------------------------------------------------------
set choice=
	echo.&set /p choice= hit ENTER to return to start:
	echo.&call:android_%choice%
color 0b	
cls	
GOTO:EOF



:header  
cls        
color 0e
echo.[////////////////////////////      //////////            //////////////////////]                                                                           
echo.[///////////////////////////  ///   //////////////  ///////////////////////////]                                                                            
echo.[//////////////////////////  ////  //////////////  ////////////////////////////]                                                                    
echo.[/////////////////////////  //   ///////////////  /////////////////////////////]                                       
echo.[////////////////////////  ////  /////////  ///  //////////////////////////////]                                  
echo.[///////////////////////  //////  /////////    ////////////////////////////////]
echo.				  RootJunkys V3
echo. 		               Kodi/XBMC installer  
echo. 		     Rootjunky.com with help from Matt Groff.
echo.--------------------------------------------------------------------------------
adb devices
adb kill-server
timeout 6 > nul
cls	
color 0b
GOTO:EOF

:printstatus
echo.
echo. Its Kodi Time
echo.--------------------------------------------------------------------------------
GOTO:EOF

:printstatus2
echo.
echo. Make a choice or exit the script
echo.--------------------------------------------------------------------------------
GOTO:EOF

:pushzips
adb push plugin.program.addoninstaller-1.2.0.zip /sdcard/XBMC/addoninstaller.zip
adb push plugin.video.freshstart-1.0.5.zip /sdcard/XBMC/freshstart.zip
adb push plugin.video.hubwizard-1.1.9.zip /sdcard/XBMC/configwizard.zip

:appinstaller1
echo.--------------------------------------------------------------------------------
echo. Drag and Drop your APK or APP File Below
echo.--------------------------------------------------------------------------------
set /p app=""
adb install "%app%"
echo.--------------------------------------------------------------------------------
echo. App Installed
echo.--------------------------------------------------------------------------------
pause
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":android_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:android_%choice%
color 0b	
cls
GOTO:EOF


:appinstaller2
echo.--------------------------------------------------------------------------------
echo. Drag and Drop your APK or APP File Below
echo.--------------------------------------------------------------------------------
set /p app=""
adb install "%app%"
echo.--------------------------------------------------------------------------------
echo. App Installed
echo.--------------------------------------------------------------------------------
pause
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":kodi_" "%~f0""') do echo.  %%B  %%C
	call:printstatus2
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:kodi_%choice%
color 0b	
cls
GOTO:EOF